---
title: Get Vectorize Index Info
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api)

[Vectorize](https://developers.cloudflare.com/api/resources/vectorize)

[Indexes](https://developers.cloudflare.com/api/resources/vectorize/subresources/indexes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Vectorize Index Info

GET/accounts/{account\_id}/vectorize/v2/indexes/{index\_name}/info

Get information about a vectorize index.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Vectorize Write``Vectorize Read`

##### P ath ParametersExpand Collapse

account\_id: string

Identifier

maxLength32

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

index\_name: string

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(params)%20default%20%3E%20(param)%20index_name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

errors: array of <a href="https://developers.cloudflare.com/api/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)">ResponseInfo</a> { code, message, documentation\_url, source }

</summary>

code: number

minimum1000

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: optional string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: optional object {pointer }

</summary>

pointer: optional string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20errors>)

<details>

<summary>

messages: array of <a href="https://developers.cloudflare.com/api/resources/$shared#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)">ResponseInfo</a> { code, message, documentation\_url, source }

</summary>

code: number

minimum1000

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: optional string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: optional object {pointer }

</summary>

pointer: optional string

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20%24shared%20%3E%20(model)%20response_info%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20messages>)

<details>

<summary>

result: object {dimensions, processedUpToDatetime, processedUpToMutation, vectorCount }

</summary>

dimensions: optional number

Specifies the number of dimensions for the index

maximum1536

minimum1

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20vectorize.indexes%20%3E%20(model)%20index_info_response%20%3E%20(schema)%20%3E%20(property)%20dimensions">Link to this property</a>

processedUpToDatetime: optional string

Specifies the timestamp the last mutation batch was processed as an ISO8601 string.

formatdate-time

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20vectorize.indexes%20%3E%20(model)%20index_info_response%20%3E%20(schema)%20%3E%20(property)%20processedUpToDatetime">Link to this property</a>

processedUpToMutation: optional string

The unique identifier for the async mutation operation containing the changeset.

maxLength36

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20vectorize.indexes%20%3E%20(model)%20index_info_response%20%3E%20(schema)%20%3E%20(property)%20processedUpToMutation">Link to this property</a>

vectorCount: optional number

Specifies the number of vectors present in the index

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%2B%20(resource)%20vectorize.indexes%20%3E%20(model)%20index_info_response%20%3E%20(schema)%20%3E%20(property)%20vectorCount">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

success: true

Whether the API call was successful

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(network%20schema)%20%3E%20(property)%20success>)

### Get Vectorize Index Info

HTTP

HTTPTypeScriptPythonGoTerraform

```
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/vectorize/v2/indexes/$INDEX_NAME/info \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}
```